<?PHP
/*
+---------------------------+
|         MaTribux          |
+---------------------------+
|       Copyright (C)       |
|     Fabrice GRUNCHEC      |
|                           |
|     grunchec@mail.com     |
| http://www.matribux.fr.st |
+---------------------------+
$Revision: 1.23 $
*/

Function getRootPwd () {
    global $root_pwd;
	require "config.php3";
}

Function getLanguage () {
    global $matribux_language;
	require "config.php3";
}

Function getSetupMaTribuxVars () {
	global $root_pwd,$matribux_language,$nb_pages_max,$mess_per_page,$background_pic,$print_host,$reply_position,
	$background_color,$title_color,$text_color,$link_color,$link_over_color,$forum_name_color,$forum_description_color,$nbMessages_color,$subject_color,$subject_background_color,$titleAuthorDate_color,$AuthorDate_color,$message_color,$message_background_color,$search_color,$error_color;
;
	require "config.php3";
	$background_pic = addslashes($background_pic);
	}
	
Function getSetupDBVars () {
	global $mysql_server,$mysql_login,$mysql_pwd,$mysql_dbname;
	require "config.php3";
	}

Function getForumsVar () {
	global $forums;
	require "config.php3";
	}  
	
Function getForumsVars () {
	global $forums,$forum_password,$forum_description;
	require "config.php3";

	$nb_forums = sizeof($forums);
	for ($i = 0; $i < $nb_forums; $i++) 
	{
		$forum_description[$forums[$i]] = addslashes($forum_description[$forums[$i]]);
	}
	}

Function checkRootPwd () {
	global $root_pwd,$root_pwd_1,$root_pwd_2;

	if ($root_pwd_1 != $root_pwd_2)
		echo "<span class=\"error\">$str_pwd_check_error</span><br><br>";
	else
		$root_pwd = $root_pwd_1;
}

Function checkDBPwd () {
	global $mysql_pwd,$mysql_pwd_1,$mysql_pwd_2;

	if ($mysql_pwd_1 != $mysql_pwd_2)
		echo "<span class=\"error\">$str_pwd_check_error</span><br><br>";
	else
		$mysql_pwd = $mysql_pwd_1;	
}

Function strip_forbidden_chars($str) {
	$str = ereg_replace(chr(34)," ",$str);// Remove "
	$str = ereg_replace(chr(39)," ",$str);// Remove '
	$str = ereg_replace("<"," ",$str);// Remove <
	$str = ereg_replace(">"," ",$str);// Remove >
	$str = stripslashes($str);
	$str = stripslashes($str); // Strip some slashes...
	$str = stripslashes($str);
	return $str;
}

Function add_forum () {
	global $mysql_server,$mysql_login,$mysql_pwd,$mysql_dbname;
	global $new_forum_pwd,$new_forum_name,$new_forum_description,$forums,$forum_password,$forum_description;

	$forums[] = strip_forbidden_chars($new_forum_name);
	$forum_password[$new_forum_name] = $new_forum_pwd;
	$forum_description[$new_forum_name] = $new_forum_description;
}

Function rename_forum () {
	global $mysql_server,$mysql_login,$mysql_pwd,$mysql_dbname;
	global $old_forum_name,$new_forum_name,$forums,$forum_password,$forum_description;
	global $str_unable_to_connect_to_db,$str_sql_unexpected_error,$error_color,$background_pic,$background_color;
	
	$nb_forums = sizeof($forums);
	for ($i = 0; $i < $nb_forums; $i++) 
	{
		if ($forums[$i] == $old_forum_name)
			$forums[$i] = strip_forbidden_chars($new_forum_name);
	}
	$forum_password[$new_forum_name] = $forum_password[$old_forum_name];
	$forum_description[$new_forum_name] = $forum_description[$old_forum_name];
	require "connexion.php3";
	$sql  = "UPDATE matribux set forum='$new_forum_name' where forum='$old_forum_name'";
	$id = @mysql_query($sql, $res);
	$id <> 0 or die("<span class=\"error\">$str_sql_unexpected_error</span>");
}  

Function delete_forum () {
	global $mysql_server,$mysql_login,$mysql_pwd,$mysql_dbname;
	global $forum_name,$forums;
	global $str_unable_to_connect_to_db,$str_sql_unexpected_error,$error_color,$background_pic,$background_color;
	
	$background_pic = addslashes($background_pic);
	$nb_forums = sizeof($forums);
	for ($i = 0; $i < $nb_forums; $i++) 
	{
		if ($forums[$i] == $forum_name)
		{
			unset($forums[$i]);
			$nb_forums--;
		}
		
	}
	require "connexion.php3";
	$sql  = "DELETE FROM matribux WHERE forum='$forum_name'";
	$id = @mysql_query($sql, $res);
	$id <> 0 or die("<span class=\"error\">$str_sql_unexpected_error</span>");
}  

getRootPwd();

if (!isset($matribux_language))
	getLanguage();

require "lang/user.$matribux_language.php3";
require "lang/admin.$matribux_language.php3";

require "check_root_pwd.php3";

if ($from == "setup matribux")
{
	getSetupDBVars();
	getForumsVars();
}
elseif ($from == "setup db")
{
	getSetupMaTribuxVars();
	getForumsVars();
}
elseif ($from == "forum add")
{
	getSetupMaTribuxVars();
	getSetupDBVars();
	getForumsVars();
}
elseif ($from == "forum rename")
{
	getSetupMaTribuxVars();
	getSetupDBVars();
	getForumsVars();
	rename_forum(); //no need of 'header'
}
elseif ($from == "forum delete")
{
	getSetupMaTribuxVars();
	getSetupDBVars();
	getForumsVars();
	delete_forum(); //no need of 'header'
}
elseif ($from == "forum param")
{
	getSetupMaTribuxVars();
	getSetupDBVars();
	getForumsVar();
}

require "header.php3";
echo "<h1>$str_record_config_title</h1><br><br><br>";

if ($from == "setup matribux")
{
	checkRootPwd();
}
elseif ($from == "setup db")
{
	checkDBPwd();
}
elseif ($from == "forum add")
{
	add_forum();
}

$file = fopen('config.php3', 'w');

fwrite($file, "<?PHP\n// $str_header_config_php3_1\n// $str_header_config_php3_2\n");

if (sizeof($forums)>0)
	fwrite($file, "\$forums = array(\"".implode("\",\"", $forums)."\");\n");
else
	fwrite($file, "\$forums = array();\n");

$nb_forums = sizeof($forums);
for ($i = 0; $i < $nb_forums; $i++) 
{
	if (isset($forums[$i]))
	{
		fwrite($file, "\$forum_password[\"".$forums[$i]."\"] = \"".$forum_password[$forums[$i]]."\";\n");
		fwrite($file, "\$forum_description[\"".$forums[$i]."\"] = \"".ereg_replace("<","&lt;",ereg_replace(">","&gt;",ereg_replace(chr(34),"&quot;",stripslashes($forum_description[$forums[$i]]))))."\";\n");
	}
	else
		$nb_forums++;

}
fwrite($file, "\$mysql_server = \"$mysql_server\";\n");
fwrite($file, "\$mysql_login = \"$mysql_login\";\n");
fwrite($file, "\$mysql_pwd = \"$mysql_pwd\";\n");
fwrite($file, "\$mysql_dbname = \"$mysql_dbname\";\n");

fwrite($file, "\$root_pwd = \"$root_pwd\";\n");

fwrite($file, "\$matribux_language = \"$matribux_language\";\n");

if ($nb_pages_max != "")
	fwrite($file, "\$nb_pages_max = $nb_pages_max;\n");

fwrite($file, "\$mess_per_page = $mess_per_page;\n");

fwrite($file, "\$background_pic = \"$background_pic\";\n");

if ($print_host == 1)
	fwrite($file, "\$print_host = true;\n");
else
	fwrite($file, "\$print_host = false;\n");

fwrite($file, "\$reply_position = \"$reply_position\";\n");
	
fwrite($file, "\$background_color = \"$background_color\";\n");
fwrite($file, "\$title_color = \"$title_color\";\n");
fwrite($file, "\$text_color = \"$text_color\";\n");
fwrite($file, "\$link_color = \"$link_color\";\n");
fwrite($file, "\$link_over_color = \"$link_over_color\";\n");
fwrite($file, "\$forum_name_color = \"$forum_name_color\";\n");
fwrite($file, "\$forum_description_color = \"$forum_description_color\";\n");
fwrite($file, "\$nbMessages_color = \"$nbMessages_color\";\n");
fwrite($file, "\$subject_color = \"$subject_color\";\n");
fwrite($file, "\$subject_background_color = \"$subject_background_color\";\n");
fwrite($file, "\$titleAuthorDate_color = \"$titleAuthorDate_color\";\n");
fwrite($file, "\$AuthorDate_color = \"$AuthorDate_color\";\n");
fwrite($file, "\$message_color = \"$message_color\";\n");
fwrite($file, "\$message_background_color = \"$message_background_color\";\n");
fwrite($file, "\$search_color = \"$search_color\";\n");
fwrite($file, "\$error_color = \"$error_color\";\n");

fwrite($file, "?>");

fclose($file);

echo "<span class=\"text\">$str_job_done</span>"; 

?>

<br><br>

<form method="post" action="<?PHP
if ($from == "setup matribux")
	echo "setup_matribux.php3";
elseif ($from == "setup db")
	echo "setup_db.php3";
else
	echo "setup_forums.php3";
?>">
<input type="hidden" name="pwd" value="<?PHP echo $root_pwd ?>">
<input type="submit" value="<?PHP echo $str_back ?>"></input>
</form>

<?PHP require "footer.php3" ?>
